UNIQ(1)

NAZWA
uniq - wypisuje lub pomija powtórzone wiersze

SKŁADNIA
uniq [OPCJA]... [WEJŚCIE [WYJŚCIE]]

OPIS

Filtruje powtarzające się, sąsiadujące wiersze z WEJŚCIA (lub standardowego wejście), wypisując wynik na WYJŚCIE (lub standardowego wyjście).

Jeśli nie podano żadnej opcji, pozostawia pierwszy z identycznych wierszy.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --count
    poprzedza wiersz liczbą jego powtórzeń

-d, --repeated
    wypisuje tylko powtarzające się wiersze, po jednym dla każdej grupy

-D  wypisuje wszystkie powtarzające się wiersze

--all-repeated[=METODA]
     jak -D, lecz pozwala na oddzielanie grup za pomocą pustego wiersza;
     METODA={none(domyślna),prepend,separate}

-f, --skip-fields=N
    zapobiega porównywaniu pierwszych N pól

--group[=METODA]
     pokazuje wszystkie wpisy, oddzielając grupy pustym wierszem
     METODA={separate(domyślna),prepend,append,both}

-i, --ignore-case
    ignoruje różnice pomiędzy małymi i wielkimi literami podczas porównywania

-s, --skip-chars=N
    zapobiega porównywaniu pierwszych N znaków

-u, --unique
    wypisuje jedynie wiersze, które się nie powtarzają

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

-w, --check-chars=N
    porównuje co najwyżej N znaków w wierszu

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Pole jest definiowane jako odstępy (z reguły spacje i/lub tabulacje), wydzielone znakami nie będącymi znakami odstępu. Pola są pomijane przed pominięciem znaków.

uniq nie wykrywa powtórzeń wierszy, jeśli nie sąsiadują one ze sobą. Dane wejściowe powinny być wcześniej posortowane; można również użyć sort -u, zamiast programu uniq.

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
comm(1), join(1), sort(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/uniq>
lub lokalnie, za pomocą info '(coreutils) uniq invocation'

Spakietowane przez Debiana (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.